OIM11gR2PS2 OPSS Upgrade: Internal Exception: java.sql.SQLException: ORA-12801: error signaled in parallel query server

While upgrading to OIM11gR2PS2 from PS1 or lower version and if the database version is 11.2.0.3.0, the following issue is seen intermittenly when executing UpgradeOPSS command on wlst:

=========================================================== 

Caused by: Exception [EclipseLink-4002] (Eclipse Persistence Services - 2.3.1.v20111018-r10243): org.eclipse.persistence.exceptions.DatabaseException

Internal Exception: java.sql.SQLException: ORA-12801: error signaled in parallel query server P003

ORA-01460: unimplemented or unreasonable conversion requested

=============================================================== 

In order to overcome this issue a database patch needs to applied. The patch details are:

Patch 13099577 ORA-1460 WHEN PARALLEL QUERY SERVERS ARE USED (Patch) . This on DB version 11.2.0.3.0. This is for Linux.

Comments:

If you are facing this error during OAM or OAM upgrade it is much easier to decrease database option parallel_max_servers to 1 instead of applying the patch. After submitting the setting the update immediately works, afterwards you can reset parallel_max_servers to the old value (this is also described in Bug 13099577, which is referenced in Patch 13099577 (Database OS was HP-UX in our case).

Posted by guest on May 22, 2014 at 02:39 AM PDT #

Post a Comment:
  • HTML Syntax: NOT allowed
About

OIM11gR2 Blog by NA-TAG Offshore IDAM team

Search

Categories
Archives
« April 2015
SunMonTueWedThuFriSat
   
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
  
       
Today